- NAME
- DESCRIPTION
- METHODS
  - SetRecipients

# NAME

RT::Action::NotifyGroup - Send email notifications to groups or users

# DESCRIPTION

NotifyGroup sends email notifications to the groups or users defined. The recipients are set via the parameter passed in, either in the RT Action Parameters to Pass configuration or `--action-arg` from rt-crontool.

Valid values are RT group names or ids, usernames or ids, or RT user email addresses. You can also pass an arbitrary valid email address that is not associated with an RT user.

The RT utility rt-email-group-admin provides a way to create RT actions that use NotifyGroup via the command line. You can also create actions via the web UI at Admin > Global > Actions > Create.

# METHODS

## SetRecipients

Sets the recipients of this message to Groups, Users, or a provided email address. It respects RT's NotifyActor configuration.

To send email to the selected recipients regardless of RT's NotifyActor configuration, include AlwaysNotifyActor in the list of arguments. Or to always suppress email to the selected recipients regardless of RT's NotifyActor configuration, include NeverNotifyActor in the list of arguments.

← Back to index